org.springframework.data.repository.core.support

## Interface RepositoryMethodInvocationListener

    public interface RepositoryMethodInvocationListener

Interface to be implemented by listeners that want to be notified upon repository method invocation. Listeners are notified with an `RepositoryMethodInvocationListener.RepositoryMethodInvocation` object that describes which repository method was invoked along with invocation arguments and the call duration.

Since:
  2.4
Author:
  Mark Paluch, Christoph Strobl

### Nested Class Summary

Nested Classes
`static class` `RepositoryMethodInvocationListener.RepositoryMethodInvocation` Value object capturing the actual invocation.
`static interface` `RepositoryMethodInvocationListener.RepositoryMethodInvocationResult`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `afterInvocation(RepositoryMethodInvocationListener.RepositoryMethodInvocation repositoryMethodInvocation)` Handle the invocation event.

### Method Detail

#### afterInvocation

    void afterInvocation(RepositoryMethodInvocationListener.RepositoryMethodInvocation repositoryMethodInvocation)

Handle the invocation event. This method is called after the execution has finished.

Parameters:
  `repositoryMethodInvocation` - the invocation to respond to.